Goodmorning,
in Autocad there's a command, that rotate more elements or blocks in a point in an even distance from the element selectionated.
Example
I have four text in a different place, there aren't orthogonal to the axes.
I have to rotate this four objects to make they orthogonal or different grade in the place they're,
I have to rotate they in a same distanze from all "texts". For example: in the centre or in a point near the object of example (this coordinate are using in the others elements selectionated).
This point is the center of rotation relative to each element which will be rotated to these coordinates but with respect to the element.
This is a comand when you have more objects to rotate at the same distance, to speed this operation.
@laz_p_14 wrote:... a command, that rotate more elements or blocks in a point ...
If understood correctly, this LISP may help:
;* Rotate Multiple ;* Rotates many entities around their respective basepoints ;* allows selection by AUTOCAD selection sets or SSX. ;* Written by David Husch, January 1991 (defun c:rotmult () (prompt "Select Entities to Rotate, <ENTER> for SSX.") (setq ss (ssget)) (if (not ss) (setq ss (ssx))) (setq num (sslength ss)) (setq x 0) (if ss (if (setq ang (getreal "Enter Rotation Angle: ")) (repeat num (setq ename (ssname ss x)) (setq elist (entget ename)) (setq pnt (cdr(assoc 10 elist))) (command "Rotate" ename "" pnt ang) (setq x (1+ x)) ) ) ) )
Please select the "Accept as Solution" button if my post solves your issue or answers your question.
You may also consider the attached lisp [RotateAboutCenter.lsp] created by @Kent1Cooper
Please select the "Accept as Solution" button if my post solves your issue or answers your question.
It's not clear to me exactly what you are asking. My routine that @Valentin-WSP posted will Rotate each object about the middle of its own extents, and each by the same amount, but not to end up at an orthogonal rotation if that's your intent.
Can you post a small drawing file with some examples of the different conditions, clearly showing "before" and "after", and noting things like rotation base points, etc.?
Googmorning,
I have to rotate this
in this
But I have to rotate it reference to the point near it.
No in the center of the elements.
Can't find what you're looking for? Ask the community or share your knowledge.